Skip to main content
GET
Fetch business activities

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to fetch activities for.

Query Parameters

start_date
string

Filter activities by start date. Activities with a start date on or after this date will be included. ISO 8601 date format.

end_date
string

Filter activities by end date. Activities with a start date on or before this date will be included. ISO 8601 date format.

page
integer

The page number to fetch. Defaults to 1.

per_page
integer

The number of items per page. Defaults to 25, maximum is 100.

Response

data
(Categorize Transaction · object | Load PnL · object)[]
required
meta
object

Request metadata. Present on paginated list responses.